Subject: bug#71761: 29.3; Emacs-Lisp menu display is incorrect during Edebug

From: Jeremy Bryant <[email-masked]>
Date: Sat, 29 Jun 2024 23:04:35 +0100

Eli Zaretskii <[email-masked]> writes:

>> > That could be a bug in TTY menus, or maybe a side effect of how the
>> > menu bar is displayed there.
>> 
>> I fear I wasn't clear in my diagnostics.
>> 
>> It appears from my testing the bug is in Emacs GUI, and the TTY menus
>> are OK.
>
> I understood that.  But are you aware of the fact that TTY menus use
> the same code from xmenu.c that the X build without toolkits uses?
>
> My point is that the fact that TTY menus don't show this problem is
> because there's a bug in xmenu.c which somehow hides this problem.
> After all, when the code which traverses the menu structures finds a
> menu item that already exists, it could start a new pane or it could
> overwrite the existing one.  Which one is the buggy one?

Interesting (glad to hear my testing was understood properly.).

I wasn't aware of this, thanks for explaining the code structure.